summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/msgbox4-utf8
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/msgbox4-utf8')
-rwxr-xr-xcontrib/dialog/samples/msgbox4-utf837
1 files changed, 37 insertions, 0 deletions
diff --git a/contrib/dialog/samples/msgbox4-utf8 b/contrib/dialog/samples/msgbox4-utf8
new file mode 100755
index 0000000..acbbebe
--- /dev/null
+++ b/contrib/dialog/samples/msgbox4-utf8
@@ -0,0 +1,37 @@
+#!/bin/sh
+# $Id: msgbox4-utf8,v 1.10 2010/01/13 10:20:03 tom Exp $
+
+. ./setup-vars
+
+. ./setup-utf8
+
+width=30
+while test $width != 61
+do
+$DIALOG --title "MESSAGE BOX (width $width)" --no-collapse "$@" \
+ --msgbox "\
+This sample is written in UTF-8.
+There are several checking points:
+(1) whether the fullwidth characters are displayed well or not,
+(2) whether the width of characters are evaluated properly, and
+(3) whether the character at line-folding is lost or not.
+
+あいうえおかきくけこさしすせそたちつてとなにぬねの
+1234567890123456789012345
+ABCDEFGHIJKLMNOPQRSTUVWXY
+
+Hi, this is a simple message box. You can use this to \
+display any message you like. The box will remain until \
+you press the ENTER key." 22 $width
+retval=$?
+
+case $retval in
+ $DIALOG_CANCEL)
+ echo "Cancel pressed.";exit;;
+ $DIALOG_ESC)
+ echo "ESC pressed.";exit;;
+esac
+
+width=`expr $width + 1`
+
+done
OpenPOWER on IntegriCloud